# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['druidapi', 'druidapi.client', 'druidapi.resources']

package_data = \
{'': ['*']}

install_requires = \
['pyyaml>=5.3,<6.0', 'requests>=2.23.0,<3.0.0']

setup_kwargs = {
    'name': 'druidapi',
    'version': '0.2.1',
    'description': 'A lightweight library to access the Apache Druid API',
    'long_description': '# A simple Python library to access the Druid API\n\n**This is NO official project from the Apache Druid team.**\n\n# Local Development\nThis project uses the poetry tool for dependency management: https://python-poetry.org/\n\nTo setup your local development environment after checkout, use:\n```poetry install```',
    'author': 'Alexander Hungenberg',
    'author_email': 'alexander.hungenberg@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/defreng/python-druidapi',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
