from dataclasses import dataclass, field
from typing import Optional


@dataclass
class DruidApiClientProxyConfiguration:
    https: Optional[str]
    http: Optional[str]


@dataclass
class DruidApiClientConfiguration:
    endpoint: str
    username: Optional[str]
    password: Optional[str]
    proxies: Optional[DruidApiClientProxyConfiguration]
    verify_ssl: bool = field(default=True)

    def __post_init__(self) -> None:
        self.endpoint = self.endpoint.strip('/')
