from importlib import resources
from typing import cast

import yaml

from .client.overlord import DruidSupervisorSpecification


def get_supervisor_kafka_defaults() -> DruidSupervisorSpecification:
    with resources.open_binary('druidapi.resources', 'druid_defaults.yml') as f:
        defaults = yaml.safe_load(f)

    return cast(DruidSupervisorSpecification, defaults['supervisor_kafka'])
